org.eclipse.rdf4j.rio

## Class WriterConfig

- java.lang.Object
- - org.eclipse.rdf4j.rio.RioConfig
  - - org.eclipse.rdf4j.rio.WriterConfig

- All Implemented Interfaces:
    Serializable

      public class WriterConfig
      extends RioConfig
      implements Serializable

  A container object for easy setting and passing of `RDFWriter` configuration options.
  Author:
    Jeen Broekstra, Peter Ansell
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.RioConfig

      `log, settings, systemPropertyCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterConfig()` Creates a ParserConfig object starting with default settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> WriterConfig` | `set(RioSetting<T> setting, T value)` Sets a `RioSetting` to have a new value.
    `WriterConfig` | `useDefaults()` Resets all settings back to their default values.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.RioConfig

      `get, isSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterConfig

          public WriterConfig()

      Creates a ParserConfig object starting with default settings.

  - ### Method Detail

    - #### useDefaults

          public WriterConfig useDefaults()

      Description copied from class: `RioConfig`
      Resets all settings back to their default values.
      Overrides:
        `useDefaults` in class `RioConfig`
      Returns:
        Either a copy of this config, if it is immutable, or this object, to allow chaining of method calls.

    - #### set

          public <T> WriterConfig set(RioSetting<T> setting,
                                      T value)

      Description copied from class: `RioConfig`
      Sets a `RioSetting` to have a new value. If the value is null, the parser setting is removed and the default will be used instead.
      Overrides:
        `set` in class `RioConfig`
      Parameters:
        `setting` - The setting to set a new value for.
        `value` - The value for the parser setting, or null to reset the parser setting to use the default value.
      Returns:
        Either a copy of this config, if it is immutable, or this object, to allow chaining of method calls.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.